import { ReducersMapObject, GenericStoreEnhancer, Middleware } from "redux";
import { SagaMiddlewareOptions } from "redux-saga";
import { EnhancedStore } from "./createEnhancedStore";
export declare type ArenaStoreOptions = {
    sagaOptions?: SagaMiddlewareOptions<{}>;
    initialStates?: any;
    enhencers?: GenericStoreEnhancer[];
    middlewares?: Middleware[];
};
export default function createArenaStore(reducers?: ReducersMapObject, options?: ArenaStoreOptions): EnhancedStore<any>;
