import ActionTypes from "../ActionTypes";
export function defaultPropsPicker(_a, _b) {
    var state = _a._arenaScene;
    var actions = _b._arenaScene;
    return Object.assign({}, state, {
        actions: actions
    });
}
export var defaultActions = {
    setState: function (state) { return ({ type: ActionTypes.ARENA_SCENE_SET_STATE, state: state }); }
};
export var defaultReducerCreator = function (defaultState) {
    if (defaultState === void 0) { defaultState = {}; }
    return function (state) {
        if (state === void 0) { state = defaultState; }
        return state;
    };
};
