/// <reference types="react" />
import * as React from "react";
import * as PropTypes from "prop-types";
import { ReducerDict, SceneBundle } from "../../core";
import { Props, State, Context } from "./types";
export default class ArenaScene extends React.Component<Props, State> {
    static contextTypes: {
        store: PropTypes.Requireable<any>;
        arenaReducerDict: PropTypes.Requireable<any>;
    };
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: Props, nextContext: Context): void;
    render(): React.ComponentElement<{
        arenaReducerDict: ReducerDict;
        sceneBundle: SceneBundle<{}, {}, {}, {}>;
        sceneProps: any;
    }, any>;
}
