/// <reference types="react" />
import * as React from "react";
import * as PropTypes from "prop-types";
import { ReducerDict, SceneBundle } from "../../core";
import { ConnectedProps, State } from "./types";
export default class BundleComponent extends React.Component<ConnectedProps, State> {
    static childContextTypes: {
        arenaReducerDict: PropTypes.Requireable<any>;
    };
    getChildContext(): {
        arenaReducerDict: ReducerDict | null | undefined;
    };
    buildLoadScenePromise(arenaReducerDict: ReducerDict, sceneBundle: SceneBundle<{}, {}, {}, {}>, isInitial: any): Promise<null>;
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ConnectedProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
