Object.defineProperty(exports, "__esModule", { value: true });
function sceneReducerWrapper(srcReducer) {
    return function (state, action, isSceneAction) {
        if (isSceneAction || (action.type && action.type.indexOf("@@") === 0)) {
            return srcReducer(state, action, isSceneAction);
        }
        else {
            return state;
        }
    };
}
exports.default = sceneReducerWrapper;
