import ActionTypes from "../core/ActionTypes";
export function sceneReplaceReducer(store, reducerKey, reducerFactory, state) {
    store.dispatch({
        type: ActionTypes.ARENA_GLOBAL_PROPSPICKER_LOCK,
        lock: true
    });
    var newReducerKey = store.replaceSingleReducer({
        reducerKey: reducerKey,
        reducer: reducerFactory(reducerKey),
        state: state
    });
    if (state)
        store.dispatch({
            type: ActionTypes.ARENA_SCENE_REPLACE_STATE,
            _sceneReducerKey: newReducerKey,
            state: state
        });
    store.dispatch({
        type: ActionTypes.ARENA_GLOBAL_PROPSPICKER_LOCK,
        lock: false
    });
    return reducerKey;
}
