/// <reference types="react" />
import { ComponentClass, ComponentElement } from "react";
import { EnhancedStore, ReducerDict, SceneBundle } from "../../core";
import { Props as BCProps } from "../BundleComponent";
export declare type ExtraProps = {
    reducerKey?: string;
    vReducerKey?: string;
};
export declare type Props = ExtraProps & {
    sceneProps?: {};
    sceneBundle: SceneBundle<{}, {}, {}, {}>;
};
export declare type State = {
    parentReducerKey: string;
    arenaReducerDict: ReducerDict;
    ConnectedBundleComponent: ComponentClass<BCProps>;
    connectedBundleElement: ComponentElement<BCProps, any>;
};
export declare type Context = {
    store: EnhancedStore<any>;
    arenaReducerDict: ReducerDict | null | undefined;
};
