Object.defineProperty(exports, "__esModule", { value: true });
var ActionTypes_1 = require("../ActionTypes");
function defaultPropsPicker(_a, _b) {
    var state = _a._arenaScene;
    var actions = _b._arenaScene;
    return Object.assign({}, state, {
        actions: actions
    });
}
exports.defaultPropsPicker = defaultPropsPicker;
exports.defaultActions = {
    setState: function (state) { return ({ type: ActionTypes_1.default.ARENA_SCENE_SET_STATE, state: state }); }
};
exports.defaultReducerCreator = function (defaultState) {
    if (defaultState === void 0) { defaultState = {}; }
    return function (state) {
        if (state === void 0) { state = defaultState; }
        return state;
    };
};
