Object.defineProperty(exports, "__esModule", { value: true });
function buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, actions, curReducerKey) {
    var item = { actions: actions, reducerKey: reducerKey, vReducerKey: vReducerKey };
    var newDict = Object.assign({}, arenaReducerDict, (_a = {},
        _a[reducerKey] = item,
        _a));
    if (vReducerKey) {
        newDict[vReducerKey] = item;
    }
    newDict[curReducerKey] = item;
    return newDict;
    var _a;
}
function buildCurtainReducerDict(arenaReducerDict, reducerKey, vReducerKey) {
    var newDict = buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, {}, "_arenaCurtain");
    newDict._arenaScene = null;
    return newDict;
}
exports.buildCurtainReducerDict = buildCurtainReducerDict;
function buildSceneReducerDict(arenaReducerDict, reducerKey, vReducerKey, actions) {
    return buildReducerKey(arenaReducerDict, reducerKey, vReducerKey, actions || {}, "_arenaScene");
}
exports.buildSceneReducerDict = buildSceneReducerDict;
