Object.defineProperty(exports, "__esModule", { value: true });
var ActionTypes_1 = require("../core/ActionTypes");
function sceneReplaceReducer(store, reducerKey, reducerFactory, state) {
    store.dispatch({
        type: ActionTypes_1.default.ARENA_GLOBAL_PROPSPICKER_LOCK,
        lock: true
    });
    var newReducerKey = store.replaceSingleReducer({
        reducerKey: reducerKey,
        reducer: reducerFactory(reducerKey),
        state: state
    });
    if (state)
        store.dispatch({
            type: ActionTypes_1.default.ARENA_SCENE_REPLACE_STATE,
            _sceneReducerKey: newReducerKey,
            state: state
        });
    store.dispatch({
        type: ActionTypes_1.default.ARENA_GLOBAL_PROPSPICKER_LOCK,
        lock: false
    });
    return reducerKey;
}
exports.sceneReplaceReducer = sceneReplaceReducer;
